Subject: Re: [PATCH] [POWERPC] Fix handling of memreserve if the range lands in highmem

From: Scott Wood <[email-masked]>
Date: Thu, 10 Jan 2008 11:25:05 -0600

Kumar Gala wrote:
> 
> On Jan 9, 2008, at 1:52 PM, Scott Wood wrote:
> 
>> Kumar Gala wrote:
>>> I'm thinking I'll add something like:
>>>                if (addr < total_lowmem)
>>>                        reserve_bootmem(lmb.reserved.region[i].base,
>>>                                        lmb_size_bytes(&lmb.reserved, 
>>> i));
>>> +               else if (lmb.reserved.region[i].base > total_lowmem) {
>>
>> less than, surely?
> 
> damn, why didn't I see your email before a spent 20 minutes debugging 
> this ;)

Because, as happens all too often lately, Freescale's mail servers 
needed to chew on it for an hour and a half before sending it on. :-P

-Scott